cURL
curl --request GET \
--url https://api.nfig.ai/apis/request/workflow/step/status/<stepId> \
--header 'api-key: <api-key>'import requests
url = "https://api.nfig.ai/apis/request/workflow/step/status/<stepId>"
headers = {
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.nfig.ai/apis/request/workflow/step/status/<stepId>';
const headers = {
'api-key': '<api-key>'
};
fetch(url, {
method: 'GET',
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));<?php
$url = "https://api.nfig.ai/apis/request/workflow/step/status/<stepId>";
$headers = array(
"api-key: <api-key>"
);
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPGET, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>package main
import (
"encoding/json"
"fmt"
"net/http"
)
func main() {
url := "https://api.nfig.ai/apis/request/workflow/step/status/<stepId>"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("api-key", "<api-key>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
var result map[string]interface{}
json.NewDecoder(resp.Body).Decode(&result)
fmt.Println(result)
}import java.net.HttpURLConnection;
import java.net.URL;
import java.io.BufferedReader;
import java.io.InputStreamReader;
public class WorkflowStepStatus {
public static void main(String[] args) {
try {
URL url = new URL("https://api.nfig.ai/apis/request/workflow/step/status/<stepId>");
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("api-key", "<api-key>");
BufferedReader in = new BufferedReader(
new InputStreamReader(conn.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
conn.disconnect();
} catch(Exception e) {
e.printStackTrace();
}
}
}require 'uri'
require 'net/http'
url = URI("https://api.nfig.ai/apis/request/workflow/step/status/{stepId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"goal": "Go to amazon.com"
}Workflow Step Mode APIs
Get completion status of individual step
GET
/
apis
/
request
/
workflow
/
step
/
status
/
{stepId}
cURL
curl --request GET \
--url https://api.nfig.ai/apis/request/workflow/step/status/<stepId> \
--header 'api-key: <api-key>'import requests
url = "https://api.nfig.ai/apis/request/workflow/step/status/<stepId>"
headers = {
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.nfig.ai/apis/request/workflow/step/status/<stepId>';
const headers = {
'api-key': '<api-key>'
};
fetch(url, {
method: 'GET',
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));<?php
$url = "https://api.nfig.ai/apis/request/workflow/step/status/<stepId>";
$headers = array(
"api-key: <api-key>"
);
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPGET, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>package main
import (
"encoding/json"
"fmt"
"net/http"
)
func main() {
url := "https://api.nfig.ai/apis/request/workflow/step/status/<stepId>"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("api-key", "<api-key>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
var result map[string]interface{}
json.NewDecoder(resp.Body).Decode(&result)
fmt.Println(result)
}import java.net.HttpURLConnection;
import java.net.URL;
import java.io.BufferedReader;
import java.io.InputStreamReader;
public class WorkflowStepStatus {
public static void main(String[] args) {
try {
URL url = new URL("https://api.nfig.ai/apis/request/workflow/step/status/<stepId>");
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("api-key", "<api-key>");
BufferedReader in = new BufferedReader(
new InputStreamReader(conn.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
conn.disconnect();
} catch(Exception e) {
e.printStackTrace();
}
}
}require 'uri'
require 'net/http'
url = URI("https://api.nfig.ai/apis/request/workflow/step/status/{stepId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"goal": "Go to amazon.com"
}Authorizations
Path Parameters
Unique identifier for each step
Response
200 - application/json
Get a workflow step run status
⌘I